Subject: Re: [PATCH] dtc: ensure #line directives don't consume data from the next line

From: Grant Likely <[email-masked]>
Date: Fri, 14 Jun 2013 23:01:35 +0100

On Wed, 05 Jun 2013 10:50:02 -0600, Stephen Warren <[email-masked]> wrote:
> On 06/03/2013 09:36 AM, Stephen Warren wrote:
> > From: Stephen Warren <[email-masked]>
> > 
> > Previously, the #line parsing regex ended with ({WS}+[0-9]+)?. The {WS}
> > could match line-break characters. If the #line directive did not contain
> > the optional flags field at the end, this could cause any integer data on
> > the next line to be consumed as part of the #line directive parsing. This
> > could cause syntax errors (i.e. #line parsing consuming the leading 0
> > from a hex literal 0x1234, leaving x1234 to be parsed as cell data,
> > which is a syntax error), or invalid compilation results (i.e. simply
> > consuming literal 1234 as part of the #line processing, thus removing it
> > from the cell data).
> > 
> > Fix this by replacing {WS} with [ \t] so that it can't match line-breaks.
> > 
> > Convert all instances of {WS}, even though the other instances should be
> > irrelevant for any well-formed #line directive. This is done for
> > consistency and ultimate safety.
> > 
> > This is a port of upstream dtc commit a1ee6f0 (with same subject) to the
> > kernel's copy of dtc.
> 
> Rob, Grant, does this look OK to apply for v3.10-rc*?

The fix is in mainline now. Please check to make sure it is working for you.

g.

-- 
email sent from notmuch.vim plugin